
using Android.App;
using Android.OS;
using Android.Widget;

namespace App.Atividades
{
    [Activity(Label = "LoginActivity")]
    public class LoginActivity : Activity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            SetContentView(Resource.Layout.Login);

            Button btnLogin = FindViewById<Button>(Resource.Id.btnLogin);
            Button btnRetornar = FindViewById<Button>(Resource.Id.btnRetornar);

            FindViewById<EditText>(Resource.Id.edtNome).Text = Intent.GetStringExtra("Nome") ?? "Erro ao obter os dados";
            FindViewById<EditText>(Resource.Id.edtSenha).Text = Intent.GetStringExtra("Senha") ?? "Erro ao obter os dados";


            btnRetornar.Click += BtnRetornar_Click;
            btnLogin.Click += BtnLogin_Click;
        }

        private void BtnLogin_Click(object sender, System.EventArgs e)
        {
            Toast.MakeText(this, " <<< Login >> ", ToastLength.Short).Show();
        }

        private void BtnRetornar_Click(object sender, System.EventArgs e)
        {
            //StartActivity(typeof(MainActivity));
            Finish();
        }
    }
}